Permalink
Browse files

Default cookbook uses kernel 2.6.30.2

  • Loading branch information...
1 parent ec036ed commit 97ff6ed31761e3bc83ee0e450eb4355e258b41e5 @joshas joshas committed Sep 1, 2009
View
32 config/jaunty.cookbook → config/2.6.28.cookbook
@@ -2,16 +2,16 @@
[config]
# short project description
-MKXPUD_NAME="xPUD Ubuntu Jaunty image"
-# you can skip the apt-get install by setting this to `true'
-MKXPUD_SKIP_APT="false"
+MKXPUD_NAME="xPUD Ubuntu Intrepid image"
+# you can skip the package manager handling by setting this to `skip'
+MKXPUD_PKGMGR="apt-get install -y"
# set to `true' if you want to include host /dev nodes
-MKXPUD_HOST_DEV="true"
+MKXPUD_HOST_DEV="false"
# specified the Linux kernel version to be used
-MKXPUD_KERNEL="2.6.28-11-generic"
-MKXPUD_KERNEL_IMAGE="/boot/vmlinuz-2.6.28-11-generic"
-MKXPUD_MOD_PATH="/lib/modules/2.6.28-11-generic"
+MKXPUD_KERNEL="2.6.28"
+MKXPUD_KERNEL_IMAGE="deploy/vmlinuz-2.6.28"
+MKXPUD_MOD_PATH="/lib/modules/2.6.28"
[module]
# kernel modules to be included into rootfs
@@ -31,8 +31,9 @@ ne2k-pci pcnet32
sky2
usbserial hso nozomi sierra option
uvcvideo
-acpi-cpufreq cpufreq_ondemand video
-psmouse
+acpi-cpufreq cpufreq_ondemand video button
+snd-intel8x0
+tulip
[recipe]
# packages and files to be included into rootfs
@@ -42,13 +43,16 @@ ubuntu-sound
ubuntu-network
ubuntu-wireless-tools
ubuntu-artwork
+ubuntu-plate-core
+ubuntu-dbus
+
+[opt]
+ubuntu-cjkfont
ubuntu-scim-chewing
ubuntu-plate
[action]
#rm -rf $MKXPUD_TARGET/lib/udev/devices/*
-# FIXME: remove firefox updater
-rm -f $MKXPUD_TARGET/usr/share/firefox/updater
[overwrite]
# files to be overwritten
@@ -62,11 +66,11 @@ rm -f $MKXPUD_TARGET/usr/share/firefox/updater
/bin/bash
/bin/busybox
/bin/mount
-/usr/bin/mplayer
-/usr/share/firefox/firefox-bin
+/opt/apps/usr/bin/mplayer
+#/usr/share/firefox/firefox-bin
[remove]
# files to be removed after rootfs extraction
[image]
-gz iso
+gz iso exe
View
8 config/default.cookbook
@@ -9,9 +9,9 @@ MKXPUD_PKGMGR="apt-get install -y"
MKXPUD_HOST_DEV="false"
# specified the Linux kernel version to be used
-MKXPUD_KERNEL="2.6.28"
-MKXPUD_KERNEL_IMAGE="deploy/vmlinuz-2.6.28"
-MKXPUD_MOD_PATH="/lib/modules/2.6.28"
+MKXPUD_KERNEL="2.6.30.2"
+MKXPUD_KERNEL_IMAGE="deploy/vmlinuz-2.6.30.2"
+MKXPUD_MOD_PATH="/lib/modules/2.6.30.2"
[module]
# kernel modules to be included into rootfs
@@ -22,6 +22,8 @@ atl1 atl2 atl1e
iwl3945 iwlagn
ath5k ath9k
sis190 sis900
+ieee80211
+r8180
rtl8180 rtl8187
rt2860sta
rt2400pci rt2500pci rt2500usb rt61pci rt73usb
View
BIN deploy/vmlinuz-2.6.30.2
Binary file not shown.
View
0 config/config-2.6.28 → kernel/config-2.6.28
File renamed without changes.
View
0 config/config-2.6.30 → kernel/config-2.6.30
File renamed without changes.
View
4,668 kernel/config-2.6.30.2
4,668 additions, 0 deletions not shown because the diff is too large. Please use a local Git client to view these changes.
View
2 skeleton/boot/exe/xpud-installer.nsi
@@ -4,7 +4,7 @@
!include "MUI.nsh"
!define NAME "xPUD"
-!define VERSION "0.9.5-dev"
+!define VERSION "0.9.1-development"
!define DRIVE "C:"
!define XPUDDIR "xpud"

0 comments on commit 97ff6ed

Please sign in to comment.